## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iRainState Struct Reference
[Mesh plugins, Mesh plugins]

This interface describes the API for the rain mesh object. More...

`#include <imesh/rain.h>`

Inheritance diagram for iRainState:

[legend]
List of all members.

## Public Member Functions

virtual void | GetBox (csVector3 &minbox, csVector3 &maxbox) const =0
| Get box.
virtual bool | GetCollisionDetection () const =0
| Get CD flag.
virtual const csColor & | GetColor () const =0
| Get particle color.
virtual void | GetDropSize (float &dropwidth, float &dropheight) const =0
| Get the size of the rain drops.
virtual const csVector3 & | GetFallSpeed () const =0
| Get fall speed.
virtual bool | GetLighting () const =0
| See if lighting is enabled.
virtual iMaterialWrapper * | GetMaterialWrapper () const =0
| Get material of particle system.
virtual uint | GetMixMode () const =0
| Get mix mode.
virtual int | GetParticleCount () const =0
| Get the number of particles used.
virtual void | SetBox (const csVector3 &minbox, const csVector3 &maxbox)=0
| Set box.
virtual void | SetCollisionDetection (bool cd)=0
| Enable/Disable Collision Detection for drops.
virtual void | SetColor (const csColor &color)=0
| Set particle color.
virtual void | SetDropSize (float dropwidth, float dropheight)=0
| Set the size of the drops.
virtual void | SetFallSpeed (const csVector3 &fspeed)=0
| Set fall speed.
virtual void | SetLighting (bool l)=0
| Enable or disable lighting.
virtual void | SetMaterialWrapper (iMaterialWrapper *material)=0
| Set material of particle system.
virtual void | SetMixMode (uint mode)=0
| Set mix mode.
virtual void | SetParticleCount (int num)=0
| Set the number of particles to use.

## Detailed Description

This interface describes the API for the rain mesh object.

Definition at line 42 of file rain.h.

## Member Function Documentation

virtual void iRainState::GetBox | ( | csVector3 & | minbox,
|  | csVector3 & | maxbox
| ) | const`[pure virtual]`

| Get box.

virtual bool iRainState::GetCollisionDetection | ( |  | ) | const`[pure virtual]`

| Get CD flag.

virtual const csColor& iRainState::GetColor | ( |  | ) | const`[pure virtual]`

| Get particle color.

virtual void iRainState::GetDropSize | ( | float & | dropwidth,
|  | float & | dropheight
| ) | const`[pure virtual]`

| Get the size of the rain drops.

virtual const csVector3& iRainState::GetFallSpeed | ( |  | ) | const`[pure virtual]`

| Get fall speed.

virtual bool iRainState::GetLighting | ( |  | ) | const`[pure virtual]`

| See if lighting is enabled.

virtual iMaterialWrapper* iRainState::GetMaterialWrapper | ( |  | ) | const`[pure virtual]`

| Get material of particle system.

virtual uint iRainState::GetMixMode | ( |  | ) | const`[pure virtual]`

| Get mix mode.

virtual int iRainState::GetParticleCount | ( |  | ) | const`[pure virtual]`

| Get the number of particles used.

virtual void iRainState::SetBox | ( | const csVector3 & | minbox,
|  | const csVector3 & | maxbox
| ) | `[pure virtual]`

| Set box.

virtual void iRainState::SetCollisionDetection | ( | bool | cd | ) | `[pure virtual]`

| Enable/Disable Collision Detection for drops.

virtual void iRainState::SetColor | ( | const csColor & | color | ) | `[pure virtual]`

| Set particle color.

virtual void iRainState::SetDropSize | ( | float | dropwidth,
|  | float | dropheight
| ) | `[pure virtual]`

| Set the size of the drops.

virtual void iRainState::SetFallSpeed | ( | const csVector3 & | fspeed | ) | `[pure virtual]`

| Set fall speed.

virtual void iRainState::SetLighting | ( | bool | l | ) | `[pure virtual]`

| Enable or disable lighting.

virtual void iRainState::SetMaterialWrapper | ( | iMaterialWrapper * | material | ) | `[pure virtual]`

| Set material of particle system.

virtual void iRainState::SetMixMode | ( | uint | mode | ) | `[pure virtual]`

| Set mix mode.

virtual void iRainState::SetParticleCount | ( | int | num | ) | `[pure virtual]`

| Set the number of particles to use.

The documentation for this struct was generated from the following file:

- imesh/rain.h